
_up:

;MyProject.c,29 :: 		void up(){
;MyProject.c,30 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_up0:
	DECFSZ     R13+0, 1
	GOTO       L_up0
	DECFSZ     R12+0, 1
	GOTO       L_up0
	NOP
;MyProject.c,31 :: 		CCP1CON=0b00001100;
	MOVLW      12
	MOVWF      CCP1CON+0
;MyProject.c,32 :: 		CCPR1L=0b00111100;
	MOVLW      60
	MOVWF      CCPR1L+0
;MyProject.c,33 :: 		}
L_end_up:
	RETURN
; end of _up

_down:

;MyProject.c,35 :: 		void down(){
;MyProject.c,36 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_down1:
	DECFSZ     R13+0, 1
	GOTO       L_down1
	DECFSZ     R12+0, 1
	GOTO       L_down1
	NOP
;MyProject.c,37 :: 		CCP1CON=0b00001100;
	MOVLW      12
	MOVWF      CCP1CON+0
;MyProject.c,38 :: 		CCPR1L=0b00010100;
	MOVLW      20
	MOVWF      CCPR1L+0
;MyProject.c,39 :: 		}
L_end_down:
	RETURN
; end of _down

_stopmotor:

;MyProject.c,41 :: 		void stopmotor(){
;MyProject.c,42 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_stopmotor2:
	DECFSZ     R13+0, 1
	GOTO       L_stopmotor2
	DECFSZ     R12+0, 1
	GOTO       L_stopmotor2
	NOP
;MyProject.c,43 :: 		CCPR1L=0b00000000;
	CLRF       CCPR1L+0
;MyProject.c,45 :: 		CCP1CON =0b00001100;
	MOVLW      12
	MOVWF      CCP1CON+0
;MyProject.c,46 :: 		}
L_end_stopmotor:
	RETURN
; end of _stopmotor

_zero:

;MyProject.c,48 :: 		void zero() {
;MyProject.c,49 :: 		PORTD = (PORTD & 0x71);
	MOVLW      113
	ANDWF      PORTD+0, 1
;MyProject.c,50 :: 		PORTC = (PORTC & 0x0F);
	MOVLW      15
	ANDWF      PORTC+0, 1
;MyProject.c,51 :: 		}
L_end_zero:
	RETURN
; end of _zero

_one:

;MyProject.c,53 :: 		void one() {
;MyProject.c,54 :: 		PORTD = (PORTD & 0x71) | 0x04;
	MOVLW      113
	ANDWF      PORTD+0, 0
	MOVWF      R0+0
	MOVLW      4
	IORWF      R0+0, 0
	MOVWF      PORTD+0
;MyProject.c,55 :: 		PORTC = (PORTC & 0x0F) | 0x10;
	MOVLW      15
	ANDWF      PORTC+0, 0
	MOVWF      R0+0
	MOVLW      16
	IORWF      R0+0, 0
	MOVWF      PORTC+0
;MyProject.c,56 :: 		}
L_end_one:
	RETURN
; end of _one

_two:

;MyProject.c,58 :: 		void two() {
;MyProject.c,59 :: 		PORTD = (PORTD & 0x71) | 0x08;
	MOVLW      113
	ANDWF      PORTD+0, 0
	MOVWF      R0+0
	MOVLW      8
	IORWF      R0+0, 0
	MOVWF      PORTD+0
;MyProject.c,60 :: 		PORTC = (PORTC & 0x0F) | 0x20;
	MOVLW      15
	ANDWF      PORTC+0, 0
	MOVWF      R0+0
	MOVLW      32
	IORWF      R0+0, 0
	MOVWF      PORTC+0
;MyProject.c,61 :: 		}
L_end_two:
	RETURN
; end of _two

_main:

;MyProject.c,65 :: 		void main()
;MyProject.c,70 :: 		ADCON1 = 0x87;  //10000111 congigure porte as digital input output port
	MOVLW      135
	MOVWF      ADCON1+0
;MyProject.c,71 :: 		CMCON = 0x07;   //disable comparator
	MOVLW      7
	MOVWF      CMCON+0
;MyProject.c,72 :: 		TRISA = 0xFF;   //porta as input pin
	MOVLW      255
	MOVWF      TRISA+0
;MyProject.c,73 :: 		PORTA = 0x00;   //assign initial value 0
	CLRF       PORTA+0
;MyProject.c,74 :: 		TRISE = 0x07;
	MOVLW      7
	MOVWF      TRISE+0
;MyProject.c,75 :: 		TRISE0_bit=1;
	BSF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;MyProject.c,76 :: 		TRISE1_bit=1;
	BSF        TRISE1_bit+0, BitPos(TRISE1_bit+0)
;MyProject.c,77 :: 		TRISE2_bit=1;
	BSF        TRISE2_bit+0, BitPos(TRISE2_bit+0)
;MyProject.c,78 :: 		TRISC = 0x00;   //portc as outpu config
	CLRF       TRISC+0
;MyProject.c,79 :: 		PORTC = 0x00;
	CLRF       PORTC+0
;MyProject.c,80 :: 		TRISD = 0x70;   //01110000
	MOVLW      112
	MOVWF      TRISD+0
;MyProject.c,81 :: 		PORTD = 0x00;
	CLRF       PORTD+0
;MyProject.c,82 :: 		PORTE = 0x00;
	CLRF       PORTE+0
;MyProject.c,84 :: 		T2CON=0b00000101;
	MOVLW      5
	MOVWF      T2CON+0
;MyProject.c,85 :: 		PR2=0x64;
	MOVLW      100
	MOVWF      PR2+0
;MyProject.c,86 :: 		TRISC2_bit =0; //CCP1 pin config as output pin
	BCF        TRISC2_bit+0, BitPos(TRISC2_bit+0)
;MyProject.c,87 :: 		PORTC.F2=0;
	BCF        PORTC+0, 2
;MyProject.c,89 :: 		if(RD4_bit==0){
	BTFSC      RD4_bit+0, BitPos(RD4_bit+0)
	GOTO       L_main3
;MyProject.c,90 :: 		state=PARKED_0;
	MOVLW      16
	MOVWF      _state+0
;MyProject.c,91 :: 		zero();
	CALL       _zero+0
;MyProject.c,92 :: 		}
L_main3:
;MyProject.c,93 :: 		if(RD5_bit==0){
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main4
;MyProject.c,94 :: 		state=PARKED_1;;
	MOVLW      17
	MOVWF      _state+0
;MyProject.c,95 :: 		one();
	CALL       _one+0
;MyProject.c,96 :: 		}
L_main4:
;MyProject.c,97 :: 		if(RD6_bit==0){
	BTFSC      RD6_bit+0, BitPos(RD6_bit+0)
	GOTO       L_main5
;MyProject.c,98 :: 		state=PARKED_2;
	MOVLW      18
	MOVWF      _state+0
;MyProject.c,99 :: 		two();
	CALL       _two+0
;MyProject.c,100 :: 		}
L_main5:
;MyProject.c,103 :: 		for(;;)
L_main6:
;MyProject.c,106 :: 		switch(state)
	GOTO       L_main9
;MyProject.c,109 :: 		case PARKED_0:
L_main11:
;MyProject.c,110 :: 		if((RA1_bit==1||RA4_bit==1)&&(RD4_bit==0))
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__main100
	BTFSC      RA4_bit+0, BitPos(RA4_bit+0)
	GOTO       L__main100
	GOTO       L_main16
L__main100:
	BTFSC      RD4_bit+0, BitPos(RD4_bit+0)
	GOTO       L_main16
L__main99:
;MyProject.c,113 :: 		state=UP_TO_1;
	MOVLW      33
	MOVWF      _state+0
;MyProject.c,114 :: 		up();
	CALL       _up+0
;MyProject.c,116 :: 		}
	GOTO       L_main17
L_main16:
;MyProject.c,117 :: 		else if((RA2_bit==1||RA3_bit==1)&&(RD4_bit==0)) {
	BTFSC      RA2_bit+0, BitPos(RA2_bit+0)
	GOTO       L__main98
	BTFSC      RA3_bit+0, BitPos(RA3_bit+0)
	GOTO       L__main98
	GOTO       L_main22
L__main98:
	BTFSC      RD4_bit+0, BitPos(RD4_bit+0)
	GOTO       L_main22
L__main97:
;MyProject.c,119 :: 		state=UP_TO_22;
	MOVLW      35
	MOVWF      _state+0
;MyProject.c,120 :: 		up();
	CALL       _up+0
;MyProject.c,121 :: 		}
	GOTO       L_main23
L_main22:
;MyProject.c,123 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,124 :: 		}
L_main23:
L_main17:
;MyProject.c,125 :: 		break;
	GOTO       L_main10
;MyProject.c,128 :: 		case PARKED_1:
L_main24:
;MyProject.c,129 :: 		if((RA2_bit==1||RA3_bit==1)&&(RD5_bit==0))
	BTFSC      RA2_bit+0, BitPos(RA2_bit+0)
	GOTO       L__main96
	BTFSC      RA3_bit+0, BitPos(RA3_bit+0)
	GOTO       L__main96
	GOTO       L_main29
L__main96:
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main29
L__main95:
;MyProject.c,131 :: 		state=UP_TO_2;
	MOVLW      34
	MOVWF      _state+0
;MyProject.c,132 :: 		up();
	CALL       _up+0
;MyProject.c,133 :: 		}
	GOTO       L_main30
L_main29:
;MyProject.c,134 :: 		else if((RA0_bit==1 || RE0_bit==1)&& (RD5_bit==0))
	BTFSC      RA0_bit+0, BitPos(RA0_bit+0)
	GOTO       L__main94
	BTFSC      RE0_bit+0, BitPos(RE0_bit+0)
	GOTO       L__main94
	GOTO       L_main35
L__main94:
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main35
L__main93:
;MyProject.c,136 :: 		state=DOWN_TO_0;
	MOVLW      64
	MOVWF      _state+0
;MyProject.c,137 :: 		down();
	CALL       _down+0
;MyProject.c,138 :: 		}
	GOTO       L_main36
L_main35:
;MyProject.c,141 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,142 :: 		}
L_main36:
L_main30:
;MyProject.c,143 :: 		break;
	GOTO       L_main10
;MyProject.c,145 :: 		case PARKED_2:
L_main37:
;MyProject.c,146 :: 		if((RA1_bit==1||RA5_bit==1)&&(RD6_bit==0))
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__main92
	BTFSC      RA5_bit+0, BitPos(RA5_bit+0)
	GOTO       L__main92
	GOTO       L_main42
L__main92:
	BTFSC      RD6_bit+0, BitPos(RD6_bit+0)
	GOTO       L_main42
L__main91:
;MyProject.c,148 :: 		state=DOWN_TO_1;
	MOVLW      65
	MOVWF      _state+0
;MyProject.c,149 :: 		down();
	CALL       _down+0
;MyProject.c,151 :: 		}
	GOTO       L_main43
L_main42:
;MyProject.c,152 :: 		else if((RA0_bit==1 || RE0_bit==1) && (RD6_bit==0)) {
	BTFSC      RA0_bit+0, BitPos(RA0_bit+0)
	GOTO       L__main90
	BTFSC      RE0_bit+0, BitPos(RE0_bit+0)
	GOTO       L__main90
	GOTO       L_main48
L__main90:
	BTFSC      RD6_bit+0, BitPos(RD6_bit+0)
	GOTO       L_main48
L__main89:
;MyProject.c,154 :: 		down();
	CALL       _down+0
;MyProject.c,155 :: 		state=DOWN_TO_0_0;
	MOVLW      57
	MOVWF      _state+0
;MyProject.c,156 :: 		}
	GOTO       L_main49
L_main48:
;MyProject.c,158 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,159 :: 		}
L_main49:
L_main43:
;MyProject.c,161 :: 		break;
	GOTO       L_main10
;MyProject.c,163 :: 		case DOWN_TO_1:
L_main50:
;MyProject.c,164 :: 		if(RD5_bit==0) {
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main51
;MyProject.c,166 :: 		state=PARKED_1;
	MOVLW      17
	MOVWF      _state+0
;MyProject.c,167 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,168 :: 		}
L_main51:
;MyProject.c,170 :: 		break;
	GOTO       L_main10
;MyProject.c,173 :: 		case DOWN_TO_0:
L_main52:
;MyProject.c,174 :: 		if(RD5_bit==0) {
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main53
;MyProject.c,175 :: 		one();
	CALL       _one+0
;MyProject.c,176 :: 		}
L_main53:
;MyProject.c,177 :: 		if(RD4_bit==0)
	BTFSC      RD4_bit+0, BitPos(RD4_bit+0)
	GOTO       L_main54
;MyProject.c,179 :: 		state=PARKED_0;
	MOVLW      16
	MOVWF      _state+0
;MyProject.c,180 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,181 :: 		zero();
	CALL       _zero+0
;MyProject.c,182 :: 		}
L_main54:
;MyProject.c,184 :: 		break;
	GOTO       L_main10
;MyProject.c,185 :: 		case DOWN_TO_0_0:
L_main55:
;MyProject.c,186 :: 		if(RA1_bit==1||RA5_bit==1) {
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__main88
	BTFSC      RA5_bit+0, BitPos(RA5_bit+0)
	GOTO       L__main88
	GOTO       L_main58
L__main88:
;MyProject.c,187 :: 		while(RD5_bit==1);
L_main59:
	BTFSS      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main60
	GOTO       L_main59
L_main60:
;MyProject.c,188 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,189 :: 		one();
	CALL       _one+0
;MyProject.c,190 :: 		delay_ms(3000);
	MOVLW      31
	MOVWF      R11+0
	MOVLW      113
	MOVWF      R12+0
	MOVLW      30
	MOVWF      R13+0
L_main61:
	DECFSZ     R13+0, 1
	GOTO       L_main61
	DECFSZ     R12+0, 1
	GOTO       L_main61
	DECFSZ     R11+0, 1
	GOTO       L_main61
	NOP
;MyProject.c,191 :: 		down();
	CALL       _down+0
;MyProject.c,192 :: 		while(RD4_bit==1);
L_main62:
	BTFSS      RD4_bit+0, BitPos(RD4_bit+0)
	GOTO       L_main63
	GOTO       L_main62
L_main63:
;MyProject.c,193 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,194 :: 		zero();
	CALL       _zero+0
;MyProject.c,195 :: 		state=PARKED_0;
	MOVLW      16
	MOVWF      _state+0
;MyProject.c,196 :: 		}
	GOTO       L_main64
L_main58:
;MyProject.c,197 :: 		else if(RD5_bit==0) {
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main65
;MyProject.c,198 :: 		one();
	CALL       _one+0
;MyProject.c,199 :: 		while(RD4_bit==0);
L_main66:
	BTFSC      RD4_bit+0, BitPos(RD4_bit+0)
	GOTO       L_main67
	GOTO       L_main66
L_main67:
;MyProject.c,200 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,201 :: 		state=PARKED_0;
	MOVLW      16
	MOVWF      _state+0
;MyProject.c,202 :: 		zero();
	CALL       _zero+0
;MyProject.c,203 :: 		}
L_main65:
L_main64:
;MyProject.c,204 :: 		break;
	GOTO       L_main10
;MyProject.c,206 :: 		case UP_TO_1:
L_main68:
;MyProject.c,207 :: 		if (RD5_bit==0)
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main69
;MyProject.c,209 :: 		state=PARKED_1;
	MOVLW      17
	MOVWF      _state+0
;MyProject.c,210 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,211 :: 		one();
	CALL       _one+0
;MyProject.c,212 :: 		}
L_main69:
;MyProject.c,214 :: 		break;
	GOTO       L_main10
;MyProject.c,216 :: 		case UP_TO_22:
L_main70:
;MyProject.c,217 :: 		if((RA1_bit==1) || (RA4_bit==1)){
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__main87
	BTFSC      RA4_bit+0, BitPos(RA4_bit+0)
	GOTO       L__main87
	GOTO       L_main73
L__main87:
;MyProject.c,218 :: 		while(RD5_bit==1);
L_main74:
	BTFSS      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main75
	GOTO       L_main74
L_main75:
;MyProject.c,219 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,220 :: 		one();
	CALL       _one+0
;MyProject.c,221 :: 		delay_ms(3000);
	MOVLW      31
	MOVWF      R11+0
	MOVLW      113
	MOVWF      R12+0
	MOVLW      30
	MOVWF      R13+0
L_main76:
	DECFSZ     R13+0, 1
	GOTO       L_main76
	DECFSZ     R12+0, 1
	GOTO       L_main76
	DECFSZ     R11+0, 1
	GOTO       L_main76
	NOP
;MyProject.c,222 :: 		up();
	CALL       _up+0
;MyProject.c,223 :: 		while(RD6_bit==1);
L_main77:
	BTFSS      RD6_bit+0, BitPos(RD6_bit+0)
	GOTO       L_main78
	GOTO       L_main77
L_main78:
;MyProject.c,224 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,225 :: 		two();
	CALL       _two+0
;MyProject.c,226 :: 		state=PARKED_2;
	MOVLW      18
	MOVWF      _state+0
;MyProject.c,227 :: 		}
	GOTO       L_main79
L_main73:
;MyProject.c,228 :: 		else if(RD5_bit==0){
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main80
;MyProject.c,229 :: 		one();
	CALL       _one+0
;MyProject.c,230 :: 		while(RD6_bit==1);
L_main81:
	BTFSS      RD6_bit+0, BitPos(RD6_bit+0)
	GOTO       L_main82
	GOTO       L_main81
L_main82:
;MyProject.c,232 :: 		state=PARKED_2;
	MOVLW      18
	MOVWF      _state+0
;MyProject.c,233 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,234 :: 		two();
	CALL       _two+0
;MyProject.c,236 :: 		}
L_main80:
L_main79:
;MyProject.c,237 :: 		break;
	GOTO       L_main10
;MyProject.c,238 :: 		case UP_TO_2:
L_main83:
;MyProject.c,239 :: 		while(RD6_bit==1); {
L_main84:
	BTFSS      RD6_bit+0, BitPos(RD6_bit+0)
	GOTO       L_main85
	GOTO       L_main84
L_main85:
;MyProject.c,240 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,241 :: 		state=PARKED_2;
	MOVLW      18
	MOVWF      _state+0
;MyProject.c,242 :: 		two();
	CALL       _two+0
;MyProject.c,248 :: 		break;
	GOTO       L_main10
;MyProject.c,249 :: 		default:
L_main86:
;MyProject.c,250 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,251 :: 		}
	GOTO       L_main10
L_main9:
	MOVF       _state+0, 0
	XORLW      16
	BTFSC      STATUS+0, 2
	GOTO       L_main11
	MOVF       _state+0, 0
	XORLW      17
	BTFSC      STATUS+0, 2
	GOTO       L_main24
	MOVF       _state+0, 0
	XORLW      18
	BTFSC      STATUS+0, 2
	GOTO       L_main37
	MOVF       _state+0, 0
	XORLW      65
	BTFSC      STATUS+0, 2
	GOTO       L_main50
	MOVF       _state+0, 0
	XORLW      64
	BTFSC      STATUS+0, 2
	GOTO       L_main52
	MOVF       _state+0, 0
	XORLW      57
	BTFSC      STATUS+0, 2
	GOTO       L_main55
	MOVF       _state+0, 0
	XORLW      33
	BTFSC      STATUS+0, 2
	GOTO       L_main68
	MOVF       _state+0, 0
	XORLW      35
	BTFSC      STATUS+0, 2
	GOTO       L_main70
	MOVF       _state+0, 0
	XORLW      34
	BTFSC      STATUS+0, 2
	GOTO       L_main83
	GOTO       L_main86
L_main10:
;MyProject.c,255 :: 		}
	GOTO       L_main6
;MyProject.c,256 :: 		}
L_end_main:
	GOTO       $+0
; end of _main

_sixtyduty:

;MyProject.c,261 :: 		void sixtyduty()                        //duty=0 means duty cycle is 0 and 1023 is 100% dutycycle
;MyProject.c,268 :: 		}
L_end_sixtyduty:
	RETURN
; end of _sixtyduty
